Package org.drinkless.tdlib

# Class TdApi.InputMessageGame

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.InputMessageContent
org.drinkless.tdlib.TdApi.InputMessageGame

Enclosing class:
  `TdApi`

public static class TdApi.InputMessageGame extends TdApi.InputMessageContent
A message with a game; not supported for channels or secret chats.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.InputMessageContent

  `TdApi.InputMessageContent.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `long`
  `botUserId`
  User identifier of the bot that owns the game.
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `String`
  `gameShortName`
  Short name of the game.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `InputMessageGame()`
  A message with a game; not supported for channels or secret chats.
  `InputMessageGame(long botUserId, String gameShortName)`
  A message with a game; not supported for channels or secret chats.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### botUserId

    public long botUserId
    User identifier of the bot that owns the game.

  - ### gameShortName

    public String gameShortName
    Short name of the game.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### InputMessageGame

    public InputMessageGame()
    A message with a game; not supported for channels or secret chats.

  - ### InputMessageGame

    public InputMessageGame(long botUserId, String gameShortName)
    A message with a game; not supported for channels or secret chats.
    Parameters:
      `botUserId` - User identifier of the bot that owns the game.
      `gameShortName` - Short name of the game.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.InputMessageContent`
    Returns:
      this.CONSTRUCTOR